Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util
Class EventListenerProxy

    java.lang.Object
      java.util.EventListenerProxy

All Implemented Interfaces:
  EventListener

Direct Known Subclasses:
  AWTEventListenerProxy, PropertyChangeListenerProxy, VetoableChangeListenerProxy

    public abstract class EventListenerProxy

extends Object
implements EventListener

An abstract wrapper class for an EventListener class which associates a set of additional parameters with the listener. Subclasses must provide the storage and accessor methods for the additional arguments or parameters. Subclasses of EventListenerProxy may be returned by getListeners() methods as a way of associating named properties with their listeners. For example, a Bean which supports named properties would have a two argument method signature for adding a PropertyChangeListener for a property: public void addPropertyChangeListener(String propertyName, PropertyChangeListener listener); If the Bean also implemented the zero argument get listener method: public PropertyChangeListener[] getPropertyChangeListeners(); then the array may contain inner PropertyChangeListeners which are also PropertyChangeListenerProxy objects. If the calling method is interested in retrieving the named property then it would have to test the element to see if it is a proxy class.

Since:
  1.4

Constructor Summary
`EventListenerProxy(EventListener listener)`

Method Summary
`EventListener` | `getListener()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventListenerProxy

    public EventListenerProxy(EventListener listener)

Parameters:
  `listener` - The listener object.

Method Detail

### getListener

    public EventListener getListener()

  Returns:
    The listener associated with this proxy.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.